Skip to content

List temporary addresses

/temporary_address/list

Target audience: Developers

List temporary addresses

Introduction

This endpoint returns temporary addresses for a given user product.

URI

Environment URI
Stage https://payway-api.stage.adeprimo.se/external/api/v1/temporary_address/list
Production https://backend.worldoftulo.com/external/api/v1/temporary_address/list

Requirements

Identity Scope
No /external/distribution/r

Parameters

Field Required Type Description
user_product_id Required String The id of the user product.
Max length: 50

Curl Example

Get

curl --request GET \
  --url 'https://payway-api.stage.adeprimo.se/external/api/v1/temporary_address/list?user_product_id=<user_product_id>' \
  --header 'accept: application/json' \
  --header 'authorization: Bearer <token>'

Response

The response items contain address data following the Payway Address contract.

Successful response

HTTP 200
{
  "items": [
    {
      "id": "<temporary_address_id>",
      "product_distribution_settings_id": "<product_distribution_settings_id>",
      "user_product_id": "<user_product_id>",
      "address_from": "2026-04-01",
      "address_to": "2026-04-30",
      "distribution_method": "<distribution_method>",
      "address": {
        ...
      }
    }
  ]
}

Errors

This API uses the common error conventions of the Payway API

See common error responses